# eric3.Debugger.StartDialog

Module implementing the Start Program dialog.

### Classes

StartDialog | Class implementing the Start Program dialog.

### Functions

None

## StartDialog

Class implementing the Start Program dialog. It implements a dialog that is used to start an application for debugging. It asks the user to enter the commandline parameters, the working directory and whether exception reporting should be disabled.

### Derived from

StartForm

### Methods

StartDialog | Constructor
enableOkButton | Private slot to enable/disable the OK button.
getCoverageData | Public method to retrieve the coverage related data entered into this dialog.
getCyclopsData | Public method to retrieve the coverage related data entered into this dialog.
getData | Public method to retrieve the data entered into this dialog.
getDebugData | Public method to retrieve the debug related data entered into this dialog.
getProfilingData | Public method to retrieve the profiling related data entered into this dialog.
handleDir | Private method used to open a directory selection dialog.

### StartDialog (Constructor)

StartDialog(caption, argvList, wdList, envList, exceptions, parent=None, type=0, modfuncList=None, tracePython=0, covexcList=None)

Constructor

caption
  the caption to be displayed (QString)
argvList
  history list of commandline arguments (QStringList)
wdList
  history list of working directories (QStringList)
envList
  history list of environment settings (QStringList)
exceptions
  exception reporting flag (boolean)
parent
  parent widget of this dialog (QWidget)
type
  type of the start dialog
  - 0 = start debug dialog
  - 1 = start run dialog
  - 2 = start coverage dialog
  - 3 = start profile dialog
  - 4 = start cyclops dialog
modfuncList=
  history list of module functions (QStringList)
tracePython=
  flag indicating if the Python library should be traced as well (boolean)
covexcList=
  history list of coverage exclusion patterns (QStringList)

### StartDialog.enableOkButton

enableOkButton()

Private slot to enable/disable the OK button.

### StartDialog.getCoverageData

getCoverageData()

Public method to retrieve the coverage related data entered into this dialog.

Returns:
  tuple of flag indicating erasure of coverage info (boolean) and coverage exclusion pattern (QString)

### StartDialog.getCyclopsData

getCyclopsData()

Public method to retrieve the coverage related data entered into this dialog.

Returns:
  tuple of module function that is the entry point (QString) and bitmask of reports to be generated (integer)

### StartDialog.getData

getData()

Public method to retrieve the data entered into this dialog.

Returns:
  a tuple of argv (QString), workdir (QString), environment (QString) and exceptions flag (boolean)

### StartDialog.getDebugData

getDebugData()

Public method to retrieve the debug related data entered into this dialog.

Returns:
  flag indicating if the Python library should be traced as well

### StartDialog.getProfilingData

getProfilingData()

Public method to retrieve the profiling related data entered into this dialog.

Returns:
  flag indicating erasure of profiling info (boolean)

### StartDialog.handleDir

handleDir()

Private method used to open a directory selection dialog.

Up